Show / Hide Table of Contents

# Class BRDGauge

In-memory BRD job gauge.

##### Inheritance

System.Object
JobGaugeBase
JobGaugeBase<BardGauge>
BRDGauge

##### Inherited Members

JobGaugeBase.Address
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.JobGauge.Types

###### Assembly: Dalamud.dll

##### Syntax

    public class BRDGauge : JobGaugeBase<BardGauge>

### Properties

| Improve this Doc View Source

#### Coda

Gets the song Coda that are currently active.

##### Declaration

    public Song[] Coda { get; }

##### Property Value

Type | Description
--- | ---
Song[] |

##### Remarks

This will always return an array of size 3, inactive Coda are represented by NONE.

| Improve this Doc View Source

#### LastSong

Gets the type of song that was last played.

##### Declaration

    public Song LastSong { get; }

##### Property Value

Type | Description
--- | ---
Song |

| Improve this Doc View Source

#### Repertoire

Gets the amount of Repertoire accumulated.

##### Declaration

    public byte Repertoire { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Song

Gets the type of song that is active.

##### Declaration

    public Song Song { get; }

##### Property Value

Type | Description
--- | ---
Song |

| Improve this Doc View Source

#### SongTimer

Gets the current song timer in milliseconds.

##### Declaration

    public ushort SongTimer { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SoulVoice

Gets the amount of Soul Voice accumulated.

##### Declaration

    public byte SoulVoice { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |